def run_argument_script(path)
    path_unix = `cygpath -u "#{path}"`.chomp()

    begin
        Dir.chdir(File.dirname(path_unix))

        f = open(path_unix, "r")
        first_line = f.gets
        if first_line.index("ruby")
            load path_unix
        elsif first_line.index("python")
            system("python '#{path_unix}'")
        elsif first_line.index("perl")
            system("perl '#{path_unix}'")
        elsif first_line.index("tcsh")
            system("tcsh -e '#{path_unix}'")
        elsif first_line.index("zsh")
            system("zsh -e '#{path_unix}'")
        else
            system("bash -e '#{path_unix}'")
        end
        f.close
        system("echo 'HIT ENTER KEY'; read")
    rescue
    end
end

